﻿<%@ Page Language="VB" ContentType="text/html" ResponseEncoding="iso-8859-1" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
    Sub Page_Load()
        Dim hs As Object

        ' Initialize Homeseer interface
        hs = Context.Items("Content")

        If Not hs Is Nothing Then
            ' Display Homeseer header
            lblHeader.Text = hs.GetPageHeader("Plugwise Charts", "", "", False, False, Nothing, Nothing, Nothing)

            ' Display Homeseer footer
            lblFooter.Text = hs.GetPageFooter(False)
        End If
    End Sub
</script>

<asp:Label id="lblHeader" runat="server" />

<script type="text/javascript" src="Visifire2.js"></script>
<script type="text/javascript">
    var timer;
    
    // Returns XmlHttp object
    function GetXMLHttpObj() {
        var objXmlHttp; // XMLHttpRequest object

        try {
            // Firefox, Opera 8.0+, Safari
            objXmlHttp = new XMLHttpRequest();
        } catch (e) {
            // Internet Explorer
            try {
                objXmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
            } catch (e) {
                try {
                    objXmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
                } catch (e) {
                    alert("Your browser does not support AJAX!");
                    return null;
                } 
            }
        }
        return objXmlHttp;
    }

     
    // Loads Visifire Chart
    function DrawChart(sChart, vChart, bUpdate, lInterval) {
        var xmlHttp = GetXMLHttpObj();

        xmlHttp.onreadystatechange = function() {
            if (xmlHttp.readyState == 4) {
                if (xmlHttp.responseText.substr(0, 9) != "<vc:Chart") {
                    document.getElementById("VisifireChart").innerHTML = xmlHttp.responseText;
                } else {
                    /* The following 3 lines of codes are enough to create a simple chart  */
                    /* Create a new chart object. Arguments are Visifire.xap uri, width, height */
                    if (bUpdate == false) {
                        /* Before creating a new chart, kill the time responsible for updating a previous chart */
                        if (timer) 
                            clearTimeout(timer);
                        vChart = new Visifire2("SL.Visifire.Charts.xap");
                    }

                    /* Set the data XAML where response text contains the Data xaml is passed as argument
                    */
                    vChart.setDataXml(xmlHttp.responseText);

                    // Start Timer
                    timer = setTimeout(function() { DrawChart(sChart, vChart, true, lInterval) }, lInterval)

                    /* Render the chart, target div element id is passed as argument */
                    vChart.render("VisifireChart");

                    /* Add timestamp of last update */
                    var d = new Date();
                    document.getElementById("LastUpdated").innerHTML = "Last update: " + d.toLocaleString();
                }
            }
        }

        // Sending request
        xmlHttp.open("GET", sChart + ".aspx", true);
        xmlHttp.send(null);
    }
</script>

<div style="width:100px;height:500px;float:left;" id="menu">
    <br />
    <a href="#" style="text-decoration:none;" onclick="DrawChart('Total',null,false,300000)">Total usage</a><br />
    <a href="#" style="text-decoration:none;" onclick="DrawChart('Actual',null,false,10000)">Actual usage</a><br />
</div>

<div style="width:700px;height:500px;float:left" id="VisifireChart">
</div>

<!-- Force next block to appear under neath the previous content instead of to the right -->
<div style="font-size:8px;text-align:right;clear:both" id="LastUpdated"></div>

<asp:Label id="lblFooter" runat="server" />
